Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 23 Apr 2021 03:55:27 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I would like to make a complaint about my order. I ordered the item online and after being told that the order was not processed I re-ordered online using tabby so I will be charged at the end of March. However you deducted the money for the first order from my account. I then received two orders for the same item. I have called you four times for you to collect the second order and issue me with a refund and  every time I call I am asssured that somebody will come collect the second order-  nobody comes to collect it. And I still do not have my refund. Frankly the whole experience with splash has been a nightmare from start to finish. I will not be ordering from you again. I don’t see why I have to waste my time in calling you every other day asking you to collect. It’s just not acceptable and very very poor customer service. I will now have to call you for a fifth time asking for you to come and collect my second order and issued me with my refund! It is just ridiculous.  I would like you to to I would like you to tell me who to forward my complaint to. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2242024